//----------------------------------------------------------------------------------------------------------------------
// CONSTANTS
//----------------------------------------------------------------------------------------------------------------------
#define SQLITE_VERSION         "3.6.14.2"
#define SQLITE_VERSION_NUMBER  3006014
// ---------------------------------------------------------------------------
// ERROR CODES
// ---------------------------------------------------------------------------
#define SQLITE_OK           0   // Successful result
#define SQLITE_ERROR        1   // SQL error or missing database
#define SQLITE_INTERNAL     2   // Internal logic error in SQLite
#define SQLITE_PERM         3   // Access permission denied
#define SQLITE_ABORT        4   // Callback routine requested an abort
#define SQLITE_BUSY         5   // The database file is locked
#define SQLITE_LOCKED       6   // A table in the database is locked
#define SQLITE_NOMEM        7   // A malloc() failed
#define SQLITE_READONLY     8   // Attempt to write a readonly database
#define SQLITE_INTERRUPT    9   // Operation terminated by sqlite3_interrupt()
#define SQLITE_IOERR       10   // Some kind of disk I/O error occurred
#define SQLITE_CORRUPT     11   // The database disk image is malformed
#define SQLITE_NOTFOUND    12   // NOT USED. Table or record not found
#define SQLITE_FULL        13   // Insertion failed because database is full
#define SQLITE_CANTOPEN    14   // Unable to open the database file
#define SQLITE_PROTOCOL    15   // NOT USED. Database lock protocol error
#define SQLITE_EMPTY       16   // Database is empty
#define SQLITE_SCHEMA      17   // The database schema changed
#define SQLITE_TOOBIG      18   // String or BLOB exceeds size limit
#define SQLITE_CONSTRAINT  19   // Abort due to constraint violation
#define SQLITE_MISMATCH    20   // Data type mismatch
#define SQLITE_MISUSE      21   // Library used incorrectly
#define SQLITE_NOLFS       22   // Uses OS features not supported on host
#define SQLITE_AUTH        23   // Authorization denied
#define SQLITE_FORMAT      24   // Auxiliary database format error
#define SQLITE_RANGE       25   // 2nd parameter to sqlite3_bind out of range
#define SQLITE_NOTADB      26   // File opened that is not a database file
#define SQLITE_ROW         100  // sqlite3_step() has another row ready
#define SQLITE_DONE        101  // sqlite3_step() has finished executing
// ---------------------------------------------------------------------------
#define SQLITE_IOERR_READ                 MAKEWORD(SQLITE_IOERR  ,  1)
#define SQLITE_IOERR_SHORT_READ           MAKEWORD(SQLITE_IOERR  ,  2)
#define SQLITE_IOERR_WRITE                MAKEWORD(SQLITE_IOERR  ,  3)
#define SQLITE_IOERR_FSYNC                MAKEWORD(SQLITE_IOERR  ,  4)
#define SQLITE_IOERR_DIR_FSYNC            MAKEWORD(SQLITE_IOERR  ,  5)
#define SQLITE_IOERR_TRUNCATE             MAKEWORD(SQLITE_IOERR  ,  6)
#define SQLITE_IOERR_FSTAT                MAKEWORD(SQLITE_IOERR  ,  7)
#define SQLITE_IOERR_UNLOCK               MAKEWORD(SQLITE_IOERR  ,  8)
#define SQLITE_IOERR_RDLOCK               MAKEWORD(SQLITE_IOERR  ,  9)
#define SQLITE_IOERR_DELETE               MAKEWORD(SQLITE_IOERR  , 10)
#define SQLITE_IOERR_BLOCKED              MAKEWORD(SQLITE_IOERR  , 11)
#define SQLITE_IOERR_NOMEM                MAKEWORD(SQLITE_IOERR  , 12)
#define SQLITE_IOERR_ACCESS               MAKEWORD(SQLITE_IOERR  , 13)
#define SQLITE_IOERR_CHECKRESERVEDLOCK    MAKEWORD(SQLITE_IOERR  , 14)
#define SQLITE_IOERR_LOCK                 MAKEWORD(SQLITE_IOERR  , 15)
#define SQLITE_IOERR_CLOSE                MAKEWORD(SQLITE_IOERR  , 16)
#define SQLITE_IOERR_DIR_CLOSE            MAKEWORD(SQLITE_IOERR  , 17)
#define SQLITE_LOCKED_SHAREDCACHE         MAKEWORD(SQLITE_LOCKED ,  1)
// ---------------------------------------------------------------------------
#define SQLITE_OPEN_READONLY         0x00000001
#define SQLITE_OPEN_READWRITE        0x00000002
#define SQLITE_OPEN_CREATE           0x00000004
#define SQLITE_OPEN_DELETEONCLOSE    0x00000008
#define SQLITE_OPEN_EXCLUSIVE        0x00000010
#define SQLITE_OPEN_MAIN_DB          0x00000100
#define SQLITE_OPEN_TEMP_DB          0x00000200
#define SQLITE_OPEN_TRANSIENT_DB     0x00000400
#define SQLITE_OPEN_MAIN_JOURNAL     0x00000800
#define SQLITE_OPEN_TEMP_JOURNAL     0x00001000
#define SQLITE_OPEN_SUBJOURNAL       0x00002000
#define SQLITE_OPEN_MASTER_JOURNAL   0x00004000
#define SQLITE_OPEN_NOMUTEX          0x00008000
#define SQLITE_OPEN_FULLMUTEX        0x00010000
// ---------------------------------------------------------------------------
#define SQLITE_IOCAP_ATOMIC          0x00000001
#define SQLITE_IOCAP_ATOMIC512       0x00000002
#define SQLITE_IOCAP_ATOMIC1K        0x00000004
#define SQLITE_IOCAP_ATOMIC2K        0x00000008
#define SQLITE_IOCAP_ATOMIC4K        0x00000010
#define SQLITE_IOCAP_ATOMIC8K        0x00000020
#define SQLITE_IOCAP_ATOMIC16K       0x00000040
#define SQLITE_IOCAP_ATOMIC32K       0x00000080
#define SQLITE_IOCAP_ATOMIC64K       0x00000100
#define SQLITE_IOCAP_SAFE_APPEND     0x00000200
#define SQLITE_IOCAP_SEQUENTIAL      0x00000400
// ---------------------------------------------------------------------------
#define SQLITE_LOCK_NONE          0
#define SQLITE_LOCK_SHARED        1
#define SQLITE_LOCK_RESERVED      2
#define SQLITE_LOCK_PENDING       3
#define SQLITE_LOCK_EXCLUSIVE     4
// ---------------------------------------------------------------------------
#define SQLITE_SYNC_NORMAL        0x00002
#define SQLITE_SYNC_FULL          0x00003
#define SQLITE_SYNC_DATAONLY      0x00010
// ---------------------------------------------------------------------------
#define SQLITE_FCNTL_LOCKSTATE        1
#define SQLITE_GET_LOCKPROXYFILE      2
#define SQLITE_SET_LOCKPROXYFILE      3
#define SQLITE_LAST_ERRNO             4
// ---------------------------------------------------------------------------
#define SQLITE_ACCESS_EXISTS    0
#define SQLITE_ACCESS_READWRITE 1
#define SQLITE_ACCESS_READ      2
// ---------------------------------------------------------------------------
#define SQLITE_CONFIG_SINGLETHREAD  1  //  nil
#define SQLITE_CONFIG_MULTITHREAD   2  //  nil
#define SQLITE_CONFIG_SERIALIZED    3  //  nil
#define SQLITE_CONFIG_MALLOC        4  //  sqlite3_mem_methods*
#define SQLITE_CONFIG_GETMALLOC     5  //  sqlite3_mem_methods*
#define SQLITE_CONFIG_SCRATCH       6  //  void*, int sz, int N
#define SQLITE_CONFIG_PAGECACHE     7  //  void*, int sz, int N
#define SQLITE_CONFIG_HEAP          8  //  void*, int nByte, int min
#define SQLITE_CONFIG_MEMSTATUS     9  //  boolean
#define SQLITE_CONFIG_MUTEX        10  //  sqlite3_mutex_methods*
#define SQLITE_CONFIG_GETMUTEX     11  //  sqlite3_mutex_methods*
// ---------------------------------------------------------------------------
// previously SQLITE_CONFIG_CHUNKALLOC 12 which is now unused
#define SQLITE_CONFIG_LOOKASIDE    13  // int int
#define SQLITE_CONFIG_PCACHE       14  // sqlite3_pcache_methods*
#define SQLITE_CONFIG_GETPCACHE    15  // sqlite3_pcache_methods*
// ---------------------------------------------------------------------------
#define SQLITE_DBCONFIG_LOOKASIDE  1001  // void* int int
// ---------------------------------------------------------------------------
#define SQLITE_DENY   1  // Abort the SQL statement with an error
#define SQLITE_IGNORE 2  // Don't allow access, but don't generate an error
// ---------------------------------------------------------------------------
#define SQLITE_CREATE_INDEX          1   // Index Name      Table Name
#define SQLITE_CREATE_TABLE          2   // Table Name      NULL
#define SQLITE_CREATE_TEMP_INDEX     3   // Index Name      Table Name
#define SQLITE_CREATE_TEMP_TABLE     4   // Table Name      NULL
#define SQLITE_CREATE_TEMP_TRIGGER   5   // Trigger Name    Table Name
#define SQLITE_CREATE_TEMP_VIEW      6   // View Name       NULL
#define SQLITE_CREATE_TRIGGER        7   // Trigger Name    Table Name
#define SQLITE_CREATE_VIEW           8   // View Name       NULL
#define SQLITE_DELETE                9   // Table Name      NULL
#define SQLITE_DROP_INDEX           10   // Index Name      Table Name
#define SQLITE_DROP_TABLE           11   // Table Name      NULL
#define SQLITE_DROP_TEMP_INDEX      12   // Index Name      Table Name
#define SQLITE_DROP_TEMP_TABLE      13   // Table Name      NULL
#define SQLITE_DROP_TEMP_TRIGGER    14   // Trigger Name    Table Name
#define SQLITE_DROP_TEMP_VIEW       15   // View Name       NULL
#define SQLITE_DROP_TRIGGER         16   // Trigger Name    Table Name
#define SQLITE_DROP_VIEW            17   // View Name       NULL
#define SQLITE_INSERT               18   // Table Name      NULL
#define SQLITE_PRAGMA               19   // Pragma Name     1st arg or NULL
#define SQLITE_READ                 20   // Table Name      Column Name
#define SQLITE_SELECT               21   // NULL            NULL
#define SQLITE_TRANSACTION          22   // Operation       NULL
#define SQLITE_UPDATE               23   // Table Name      Column Name
#define SQLITE_ATTACH               24   // Filename        NULL
#define SQLITE_DETACH               25   // Database Name   NULL
#define SQLITE_ALTER_TABLE          26   // Database Name   Table Name
#define SQLITE_REINDEX              27   // Index Name      NULL
#define SQLITE_ANALYZE              28   // Table Name      NULL
#define SQLITE_CREATE_VTABLE        29   // Table Name      Module Name
#define SQLITE_DROP_VTABLE          30   // Table Name      Module Name
#define SQLITE_FUNCTION             31   // NULL            Function Name
#define SQLITE_SAVEPOINT            32   // Operation       Savepoint Name
#define SQLITE_COPY                  0   // No longer used
// ---------------------------------------------------------------------------
#define SQLITE_LIMIT_LENGTH                    0
#define SQLITE_LIMIT_SQL_LENGTH                1
#define SQLITE_LIMIT_COLUMN                    2
#define SQLITE_LIMIT_EXPR_DEPTH                3
#define SQLITE_LIMIT_COMPOUND_SELECT           4
#define SQLITE_LIMIT_VDBE_OP                   5
#define SQLITE_LIMIT_FUNCTION_ARG              6
#define SQLITE_LIMIT_ATTACHED                  7
#define SQLITE_LIMIT_LIKE_PATTERN_LENGTH       8
#define SQLITE_LIMIT_VARIABLE_NUMBER           9
// ---------------------------------------------------------------------------
#define SQLITE_INTEGER  1
#define SQLITE_FLOAT    2
#define SQLITE_BLOB     4
#define SQLITE_NULL     5
#define SQLITE_TEXT     3
#define SQLITE3_TEXT    3
// ---------------------------------------------------------------------------
#define SQLITE_UTF8           1
#define SQLITE_UTF16LE        2
#define SQLITE_UTF16BE        3
#define SQLITE_UTF16          4    // Use native byte order
#define SQLITE_ANY            5    // sqlite3_create_function only
#define SQLITE_UTF16_ALIGNED  8    // sqlite3_create_collation only
// ---------------------------------------------------------------------------
#define SQLITE_STATIC       0
#define SQLITE_TRANSIENT   -1
// ---------------------------------------------------------------------------
#define SQLITE_INDEX_CONSTRAINT_EQ     2
#define SQLITE_INDEX_CONSTRAINT_GT     4
#define SQLITE_INDEX_CONSTRAINT_LE     8
#define SQLITE_INDEX_CONSTRAINT_LT    16
#define SQLITE_INDEX_CONSTRAINT_GE    32
#define SQLITE_INDEX_CONSTRAINT_MATCH 64
// ---------------------------------------------------------------------------
#define SQLITE_MUTEX_FAST             0
#define SQLITE_MUTEX_RECURSIVE        1
#define SQLITE_MUTEX_STATIC_MASTER    2
#define SQLITE_MUTEX_STATIC_MEM       3  // sqlite3_malloc()
#define SQLITE_MUTEX_STATIC_MEM2      4  // NOT USED
#define SQLITE_MUTEX_STATIC_OPEN      4  // sqlite3BtreeOpen()
#define SQLITE_MUTEX_STATIC_PRNG      5  // sqlite3_random()
#define SQLITE_MUTEX_STATIC_LRU       6  // lru page list
#define SQLITE_MUTEX_STATIC_LRU2      7  // lru page list
// ---------------------------------------------------------------------------
#define SQLITE_TESTCTRL_PRNG_SAVE                5
#define SQLITE_TESTCTRL_PRNG_RESTORE             6
#define SQLITE_TESTCTRL_PRNG_RESET               7
#define SQLITE_TESTCTRL_BITVEC_TEST              8
#define SQLITE_TESTCTRL_FAULT_INSTALL            9
#define SQLITE_TESTCTRL_BENIGN_MALLOC_HOOKS     10
#define SQLITE_TESTCTRL_PENDING_BYTE            11
#define SQLITE_STATUS_MEMORY_USED                0
#define SQLITE_STATUS_PAGECACHE_USED             1
#define SQLITE_STATUS_PAGECACHE_OVERFLOW         2
#define SQLITE_STATUS_SCRATCH_USED               3
#define SQLITE_STATUS_SCRATCH_OVERFLOW           4
#define SQLITE_STATUS_MALLOC_SIZE                5
#define SQLITE_STATUS_PARSER_STACK               6
#define SQLITE_STATUS_PAGECACHE_SIZE             7
#define SQLITE_STATUS_SCRATCH_SIZE               8
#define SQLITE_DBSTATUS_LOOKASIDE_USED           0
#define SQLITE_STMTSTATUS_FULLSCAN_STEP          1
#define SQLITE_STMTSTATUS_SORT                   2
// ---------------------------------------------------------------------------




